altos/test: Adjust CRC error rate after FEC fix
[fw/altos] / ao-bringup / turnon_easymini
1 #!/bin/sh
2
3 if [ -x ../ao-tools/ao-flash/ao-flash-lpc ]; then
4         FLASH_LPC=../ao-tools/ao-flash/ao-flash-lpc
5 elif [ -x /usr/bin/ao-flash-lpc ]; then
6         FLASH_LPC=/usr/bin/ao-flash-lpc
7 else
8         echo "Can't find ao-flash-lpc!  Aborting."
9         exit 1
10 fi
11
12 if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
13         USBLOAD=../ao-tools/ao-usbload/ao-usbload
14 elif [ -x /usr/bin/ao-usbload ]; then
15         USBLOAD=/usr/bin/ao-usbload
16 else
17         echo "Can't find ao-usbload!  Aborting."
18         exit 1
19 fi
20
21 VERSION=3.0
22 PRODUCT=EasyMini
23 BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
24 echo $FILE
25
26 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
27 echo "Copyright 2022 by Bdale Garbee.  Released under GPL v3"
28 echo
29 echo "Expectations:"
30 echo "\t$PRODUCT v$VERSION powered from USB"
31 echo "\t\twith ST-Link-V2 cabled to debug header"
32 echo
33
34 case $# in
35     1)
36         SERIAL="$1"
37         echo "$PRODUCT-$VERSION serial number: $SERIAL" 
38         ;;
39     0)
40         echo -n "$PRODUCT-$VERSION serial number: "
41         read SERIAL
42         ;;
43     *)
44         echo "Usage: $0 <serial-number>" 1>&2
45         exit 1;
46         ;;
47 esac
48
49 #
50 # Use released versions of everything
51 #
52 FLASH_FILE=~/altusmetrumllc/Binaries/loaders/easymini-v3.0-altos-flash-*.elf
53 ALTOS_FILE=~/altusmetrumllc/Binaries/easymini-v3.0-*.elf
54
55 echo $FLASH_LPC $FLASH_FILE
56
57 $FLASH_LPC $FLASH_FILE || exit 1
58
59 sleep 1
60
61 echo $USBLOAD $ALTOS_FILE
62
63 $USBLOAD --serial=$SERIAL $ALTOS_FILE || exit 1
64
65 sleep 1
66
67 ./test-easymini-v3.0
68
69 exit $?